Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591625 - RFE: virt-manager: managed save support
Summary: RFE: virt-manager: managed save support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 17:51 UTC by Cole Robinson
Modified: 2010-11-10 21:53 UTC (History)
4 users (show)

Fixed In Version: virt-manager-0.8.4-2.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:53:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Managed save backport (deleted)
2010-05-13 19:15 UTC, Cole Robinson
no flags Details

Description Cole Robinson 2010-05-12 17:51:01 UTC
virt-manager upstream now supports libvirt managed save APIs:

http://hg.fedorahosted.org/hg/virt-manager/rev/3bf35eddc1a3
http://hg.fedorahosted.org/hg/virt-manager/rev/d2c1b327de0c
http://hg.fedorahosted.org/hg/virt-manager/rev/affa97c8ae9a

Should be a trivial backport, and AIUI this is desired functionality for RHEL6 GA (but I'll let hewbrocca argue that).

Comment 1 Cole Robinson 2010-05-12 17:54:09 UTC
For testing: There is now an extra option under the various VM shutdown menus: 'Save'. This is basically an 'offline pause': the VM is stopped, but it's current memory state is saved by libvirt. When a save successfully completes, all the UI previously labeld 'Run' will now be called 'Restore'. Running 'Restore' should start the VM right where you last saved.

Comment 2 RHEL Product and Program Management 2010-05-12 18:07:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Cole Robinson 2010-05-13 19:15:22 UTC
Created attachment 413867 [details]
Managed save backport

Comment 4 Hugh Brock 2010-05-13 19:26:57 UTC
Managed save is a major usability enhancement that is brand-new for RHEL 6. Current virt-manager doesn't support it at all so there is little risk of regression in adding the new feature.

Comment 6 dyuan 2010-07-07 02:04:07 UTC
Verified PASSED with virt-manager-0.8.4-6.el6.

Comment 7 releng-rhel@redhat.com 2010-11-10 21:53:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.